Question about compatability

Animation tools, character animation, non linear animation

Moderators: jesterKing, stiv

blazer003
Posts: 12
Joined: Sat Jan 31, 2004 8:34 pm

Question about compatability

Postby blazer003 » Mon Aug 15, 2005 1:10 am

I'm just starting to rig my Yoda model that some may have seen, in Blender 2.37. I was wondering if the new animation and armature system overhaul will be backward compatable. In other words, should I wait for the next release before I rig? Usually Blender is very good with backwards compatability, but this sounds like a massive recode of armatures, so I want to make sure. Thanks.

Matt

Bagration
Posts: 24
Joined: Sun May 01, 2005 2:12 pm

Postby Bagration » Mon Aug 15, 2005 11:33 am

It will be backwards compatible, but older versions won't be able to open new files correctly (not forwards compatible, if that's a word). That's probably why they changed the version number to 2.40. I think there will be only small issues though; when I opened a scene created in a testing build in 2.37a, everything was upside down for example. :)
Why don't you just start rigging with a testing build? They aren't that instable, just save often and have your model in a separate (2.37a) file.

blazer003
Posts: 12
Joined: Sat Jan 31, 2004 8:34 pm

Postby blazer003 » Thu Aug 18, 2005 8:47 pm

Sounds good, except the sub surfs weren't working in the test build. Not that that is a really big deal, but you can't see exactly what it looks like. I don't know if that should be submitted as a bug, or where it should be submitted.

LetterRip
Posts: 1462
Joined: Thu Mar 25, 2004 7:03 am

Postby LetterRip » Fri Aug 19, 2005 4:17 am

subsurf is now a modifier and you need to goto the modifier stack to enable and disable it, I haven't had any problems with it not working, but it is different and a little confusing to try and find at first.

LetterRip


Return to “Animation”

Who is online

Users browsing this forum: No registered users and 0 guests